// set daysToSleep to the number of days you want the Banner to sleep.
// if you use 0, then the banner will only show again after the user closes his/her browser
// if you use -1, then the banner will show on every page, every time

var daysToSleep = 0;
var hasIE_phone_home = 1;
 
//added functions to use cookies to show users the notice every daysToSleep
function createCookie(name, value, days)
{
	if (days)
	{
		var date = new Date();
		date.setTime(date.getTime() + (days*24*60*60*1000));
		var expires = "; expires=" + date.toGMTString();
	}
	else var expires = "";
	document.cookie = name + "=" + value + expires + "; path=/";
}
 
function readCookie(name)
{
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');

	for (var i = 0; i < ca.length; i++)
	{
		var c = ca[i];
		while (c.charAt(0) == ' ') c = c.substring(1, c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
	}
	return null;
}
 
// This function does the actual browser detection
function hasIE_hasIE()
{
	var ua = navigator.userAgent.toLowerCase();

	return ((ua.indexOf('msie') != -1) && (ua.indexOf('opera') == -1) && (ua.indexOf('webtv') == -1) && (location.href.indexOf('seenIEPage') == -1));
}
 
function hasIE_showOnlyLayer(whichLayer)
{
	if (document.getElementById)
	{
		var style2 = document.getElementById(whichLayer);
	}
	else if (document.all)
    {
		var style2 = document.all[whichLayer];
    }
	else if (document.layers)
    {
		var style2 = document.layers[whichLayer];
    }
	var body = document.getElementsByTagName('body');
	body[0].innerHTML = style2.innerHTML;
}
 
function hasIE_showLayer(whichLayer)
{
	if (document.getElementById)
    {
		var style2 = document.getElementById(whichLayer).style;
		style2.display = "block";
    }
	else if (document.all)
    {
		var style2 = document.all[whichLayer].style;
		style2.display = "block";
    }
	else if (document.layers)
    {
		var style2 = document.layers[whichLayer].style;
		style2.display = "block";
	}
}
 
function hasIE_moveAd(adid)
{
	if (document.getElementById)
	{
		var ad = document.getElementById('hasIE_ad');
		var adloc = document.getElementById(adid);
    }
	else if (document.all)
    {
		var ad = document.all['hasIE_ad'];
		var adloc = document.all[adid];
    }
	else if (document.layers)
    {
		var ad = document.layers['hasIE_ad'];
		var adloc = document.layers[adid];
    }
	adloc.innerHTML = ad.innerHTML;
}
 
// Hides and shows sections of the page based on whether or not it's
// running in IE
function hasIE_hideAndShow()
{
	if (hasIE_hasIE())
	{
		if (readCookie('xaviersCookie') == null)
		{
			hasIE_showOnlyLayer("hasIE_level2");
			createCookie('xaviersCookie', 'seenIEBanner', daysToSleep);
			if (hasIE_phone_home == 1)
				hasIE_phoneHome('getIE_pingimage2');
        }
		else
		{
			if (hasIE_phone_home == 1)
				hasIE_phoneHome('getIE_pingimage2');
        }
	}
	else
	{
    	if (hasIE_phone_home == 1)
			hasIE_phoneHome('getIE_pingimage0');
	}
}
 
function hasIE_phoneHome(image)
{
	if (document.getElementById)
    {
		var img = document.getElementById(image);
    }
	else if (document.all)
    {
		var img = document.all[image];
    }
	else if (document.layers)
    {
		var img = document.layers[image];
    }
	img.setAttribute('src', 'http://getunder50.com/ping.php?host=' + location.host);
}
 
function hasIE_ContinueWithoutFF()
{
	if (location.href.indexOf('?') != -1)
		location.href += '&seenIEPage=1';
    else
		location.href += '?seenIEPage=1';
}

